package com.doverfuelingsolutions.issp.data

import android.content.Context
import androidx.startup.Initializer
import com.doverfuelingsolutions.issp.utils.DFSUtilsInitializer
import com.doverfuelingsolutions.issp.utils.log.DFSLog

class DataStoreInitializer : Initializer<DataStore> {

    override fun create(context: Context): DataStore {
        DataStore.init()
        return DataStore
    }

    override fun dependencies(): MutableList<Class<out Initializer<*>>> {
        return mutableListOf(DFSUtilsInitializer::class.java)
    }
}